<div fxLayout="column" fxLayoutAlign="space-between center">
  <h1>{{this.isAddMode ? "Créer une recette" : "Mise à jour"}}</h1>
  <div style="padding-top: 30px; width: 70%">
    <div fxFill fxLayout="column" fxLayoutAlign="space-between start" fxLayoutGap="15px">

      <form (ngSubmit)="onSubmit()" [formGroup]="recipeForm" fxFill ngNativeValidate>
        <div fxLayout="column" fxLayoutAlign="space-between center">
          <div fxFill fxLayout="column" fxLayoutAlign="space-between start" fxLayoutGap="15px">

            <div fxFill fxLayout="row" fxLayoutAlign="start center" fxLayoutGap="15px">
              <mat-form-field appearance="standard" fxFlex="40">
                <mat-label>Url</mat-label>
                <input formControlName="link" matInput>
              </mat-form-field>
              <button (click)="scrapRecipe()" aria-label="scrap recipe" color="primary" mat-raised-button
                      type="button">
                Charger
              </button>
            </div>

            <mat-form-field appearance="fill">
              <mat-label>Titre</mat-label>
              <input formControlName="title" matInput>
            </mat-form-field>

            <mat-form-field appearance="fill">
              <mat-label>Personnes</mat-label>
              <input formControlName="yieldQuantity" matInput min="1" type="number">
            </mat-form-field>

            <div fxLayoutAlign="start center" fxLayoutGap="15px">
              <button (click)="fileInput.click()" mat-raised-button type="button">Upload image</button>
              <input #fileInput (change)="handleFileInput($event.target)" hidden id="file" type="file">
              <img *ngIf="recipePicture" [src]="recipePicture" alt="image" style="max-width: 150px;"/>
            </div>

            <h3>Ingrédients</h3>
            <div>
              <div fxLayoutGap="10px">
                <button (click)="addIngredient()" aria-label="Ajout ingrédient" color="primary" mat-raised-button
                        matTooltip="Ajout ingrédient" type="button">
                  Ajout ingrédient
                </button>
                <a mat-stroked-button routerLink="/ingredient">Manage ingrédients</a>
              </div>
              <ng-container formArrayName="measures">
                <div fxLayout="column" fxLayoutGap="0px">
                  <ng-container *ngFor="let measuresForm of measures.controls; let i = index">
                    <div [formGroupName]="i" fxLayout="row" fxLayoutAlign="right center" fxLayoutGap="10px">
                      <mat-form-field appearance="standard">
                        <mat-label>Quantité</mat-label>
                        <input formControlName="quantity" matInput min="0" step="0.001" type="number">
                      </mat-form-field>

                      <app-autocomplete-filter [itemControl]="getIngredientForm(measuresForm)"
                                               [itemList]="existingIngredientList" attribute="name"
                                               label="Ingrédient"></app-autocomplete-filter>

                      <mat-form-field appearance="standard">
                        <mat-label>Unit</mat-label>
                        <mat-select formControlName="unit">
                          <mat-option *ngFor="let option of getUnitOptions(i) " [value]="option">
                            {{option.name}}
                          </mat-option>
                        </mat-select>
                      </mat-form-field>

                      <mat-form-field *ngIf="displaySiteData" appearance="standard">
                        <mat-label>Données site</mat-label>
                        <input formControlName="data" matInput>
                      </mat-form-field>

                      <mat-icon (click)="deleteIngredient(i)" class="delete-btn">
                        delete_forever
                      </mat-icon>
                    </div>
                  </ng-container>
                </div>
              </ng-container>
            </div>

            <h3>Recette</h3>
            <mat-form-field appearance="fill" fxFill>
              <mat-label>Contenu</mat-label>
              <textarea cdkAutosizeMinRows="10" cdkTextareaAutosize formControlName="content" matInput></textarea>
            </mat-form-field>

          </div>
          <button class="button" type="submit">Valider</button>
        </div>
      </form>
    </div>
  </div>

</div>
